%define name oxine
%define version 0.7.1
%define tarballver %version
%define release %mkrel 8
%define xinever 1-0.beta9
Summary: OSD-based xine video player frontend
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/oxine/%{name}-%{tarballver}.tar.gz
# (Anssi 04/2008) xvdr/xineliboutput support, from SVN, adapted to 0.7.1
Patch0: oxine-0.7.1-xvdr.patch
License: GPL
URL: http://oxine.sf.net
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxine-devel >= %xinever
BuildRequires: liblirc-devel
BuildRequires: X11-devel
BuildRequires: libhal-devel
BuildRequires: libcdio-devel
BuildRequires: libcurl-devel
BuildRequires: libexif-devel
BuildRequires: gtk2-devel
BuildRequires: imagemagick-devel
BuildRequires: eject
Requires: xine-plugins >= %xinever
Requires: eject
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
oxine is a lightweight, purely osd based xine frontend for set-top
boxes and home entertainment systems.

%prep
%setup -q -n %name-%tarballver
%patch0 -p1

%build
%configure2_5x --enable-vdr
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
#OXINE_SKINDIR=%buildroot%_datadir/oxine/skins DEFAULT_SKIN=%buildroot%_datadir/oxine/skins/default
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Oxine
Comment=OSD Xine Video Player
Exec=%name %U
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;Video;Player;
MimeType=video/mpeg;video/msvideo;video/quicktime;video/x-avi;video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;application/x-ogg;audio/x-mp3;audio/x-mpeg;video/x-fli;audio/x-wav;
EOF

%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog doc/*.pdf doc/*.html
%_bindir/%name
%_datadir/%name
%_datadir/applications/mandriva-*




%changelog
* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 0.7.1-8mdv2010.1
+ Revision: 491447
- rebuild for new imagemagick

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.1-7mdv2010.1
+ Revision: 440457
- rebuild

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 0.7.1-6mdv2009.1
+ Revision: 335007
- rebuild for new libmagick

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.1-5mdv2009.0
+ Revision: 268353
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 14 2008 Anssi Hannula <anssi@mandriva.org> 0.7.1-4mdv2009.0
+ Revision: 192691
- add xvdr/xineliboutput support from SVN (P0)
- enable VDR support

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-3mdv2008.1
+ Revision: 165131
- rebuild for new libmagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 144885
- rebuild for new imagemagick

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Mon Oct 08 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 95694
- new version
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 70607
- fix buildrequires
- new version
- drop patch
- update file list


* Thu Mar 22 2007 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdv2007.1
+ Revision: 148013
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 0.6.4-2mdv2007.1
+ Revision: 122349
- rebuild for new ImageMagick
- new version
- use upstream serial number

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.6-3mdv2007.1
+ Revision: 97345
- patch to 0.6.3
- fix URL

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2007.1
+ Revision: 76856
- patch to 0.6.2

* Sat Nov 04 2006 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
+ Revision: 76526
- Import oxine

* Sat Nov 04 2006 Gtz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
- fix installation
- New version 0.6

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.0
- rebuild for new Magick

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 0.5-5mdv2007.0
- xdg menu

* Fri Jun 09 2006 Götz Waschk <waschk@mandriva.org> 0.5-4mdk
- rebuild for new Magick

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 0.5-3mdk
- rebuild for new Magick

* Thu Feb 23 2006 Götz Waschk <waschk@mandriva.org> 0.5-2mdk
- rebuild for new Magick

* Wed Feb 08 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdk
- New release 0.5

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.4-3mdk
- fix menu dir

* Tue Oct 25 2005 Gtz Waschk <waschk@mandriva.org> 0.4-2mdk
- fix deps

* Mon Oct 24 2005 Gtz Waschk <waschk@mandriva.org> 0.4-1mdk
- new version

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires
- drop prefix

